/// <reference types="react" />
import type { DTransitionProps, DTransitionState } from './Transition';
export interface DCollapseTransitionProps extends Omit<DTransitionProps, 'children'> {
    children: (ref: React.RefObject<any>, style: React.CSSProperties, state: DTransitionState) => JSX.Element | null;
    dOriginalSize?: {
        width?: string | number;
        height?: string | number;
        padding?: [string | number, string | number, string | number, string | number];
    };
    dCollapsedStyle?: {
        width?: string | number;
        height?: string | number;
        padding?: [string | number, string | number, string | number, string | number];
        margin?: [string | number, string | number, string | number, string | number];
    };
    dStyles: Partial<Record<DTransitionState, React.CSSProperties>>;
    dSize?: any;
    dHorizontal?: any;
}
export declare function DCollapseTransition(props: DCollapseTransitionProps): JSX.Element | null;
