/// <reference types="react" />
import type { DCloneHTMLElement } from '../../utils/types';
import type { DFormControl } from '../form';
import { DRadioGroup } from './RadioGroup';
export interface DRadioProps extends React.HTMLAttributes<HTMLElement> {
    dRef?: {
        input?: React.ForwardedRef<HTMLInputElement>;
    };
    dFormControl?: DFormControl;
    dModel?: boolean;
    dDisabled?: boolean;
    dInputRender?: DCloneHTMLElement<React.InputHTMLAttributes<HTMLInputElement>>;
    onModelChange?: (checked: boolean) => void;
}
export interface DRadioPrivateProps {
    __type?: 'outline' | 'fill';
}
export declare const DRadio: {
    (props: DRadioProps): JSX.Element | null;
    Group: typeof DRadioGroup;
};
